> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enrow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifieer e-mail

> Valideer en controleer de bezorgbaarheid van één e-mailadres, inclusief catch-all-detectie, met de Email Verifier API

<Badge color="green">POST</Badge>

```
https://api.enrow.io/email/verify/single
```

Voer een verificatie van één e-mailadres uit om de bezorgbaarheid te controleren. Authenticeer elk verzoek met je [API-sleutel](/nl/authentication) in de `x-api-key`-header. Gebruik voor batchbewerkingen het [Verifieer e-mails](/nl/api-reference/email-verifier/verify-bulk)-endpoint.

<Info>
  Enrow voert **deterministische verificaties** uit die zelfs catch-all-e-mailadressen verifiëren. Dit betekent dat het achteraf doorvoeren van de resultaten via een debouncer niet nodig is.
</Info>

## Request Body

<ParamField body="email" type="string" required>
  Het te verifiëren e-mailadres
</ParamField>

<ParamField body="custom" type="object">
  Aangepaste parameters die worden teruggegeven in de GET-respons en in de webhookmelding.

  <Expandable title="custom object">
    <ParamField body="your_custom_key_name" type="string" default="your_custom_property">
      Uw eigen aangepaste gegevens
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="settings" type="object">
  Instellingen met betrekking tot deze verificatie.

  <Expandable title="settings properties">
    <ParamField body="webhook" type="string">
      Een URL die via een HTTP POST-verzoek wordt genotificeerd zodra de afzonderlijke verificatie is voltooid. Zie [Hoe webhooks werken](/nl/how-webhooks-work).
    </ParamField>
  </Expandable>
</ParamField>

## Response

### 200 — Verificatie gestart

<ResponseField name="message" type="string">
  Bevestigingsbericht
</ResponseField>

<ResponseField name="id" type="string">
  Unieke identificatie voor deze verificatie. Gebruik deze om resultaten op te halen via het [GET-endpoint](/nl/api-reference/email-verifier/get-single-verification).
</ResponseField>

<ResponseField name="credits_used" type="number">
  Aantal verbruikte credits (0.25). Zie [Credits & facturering](/nl/credits-billing) voor de kosten per endpoint.
</ResponseField>

<ResponseField name="credits" type="object">
  Uitsplitsing van credits

  <Expandable title="credits properties">
    <ResponseField name="amount" type="number">
      Verbruikte credits
    </ResponseField>

    <ResponseField name="source" type="string">
      Creditbron: `sub`, `paygo`, of `mixed`
    </ResponseField>

    <ResponseField name="split" type="object">
      Uitsplitsing tussen abonnements- en pay-as-you-go-credits (`fromSub`, `fromPaygo`)
    </ResponseField>
  </Expandable>
</ResponseField>

### Foutresponsen

| Code    | Message                                    |
| ------- | ------------------------------------------ |
| **400** | `invalid email format`                     |
| **400** | `invalid JSON input`                       |
| **401** | `No apikey found in the x-api-key headers` |
| **401** | `This apikey is not valid`                 |
| **402** | `Insufficient credits`                     |

<Note>
  Bij onvoldoende credits (**402**) is de responsbody `{ "reason": "...", "success": false }`. Zie [Foutafhandeling](/nl/error-handling) voor de volledige lijst met statuscodes en responsformaten.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.enrow.io/email/verify/single \
    --header 'Content-Type: application/json' \
    --header 'x-api-key: YOUR_API_KEY' \
    --data '{
      "email": "pam.beesly@dundermifflin.com"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api.enrow.io/email/verify/single', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'x-api-key': process.env.ENROW_API_KEY
    },
    body: JSON.stringify({
      email: 'pam.beesly@dundermifflin.com'
    })
  });

  const data = await response.json();
  console.log(data.id);
  ```

  ```python Python theme={null}
  import requests
  import os

  url = "https://api.enrow.io/email/verify/single"
  headers = {
      "Content-Type": "application/json",
      "x-api-key": os.getenv("ENROW_API_KEY")
  }
  payload = {
      "email": "pam.beesly@dundermifflin.com"
  }

  response = requests.post(url, json=payload, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Succesrespons theme={null}
  {
    "message": "Single verification operating",
    "id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
    "credits_used": 0.25,
    "credits": {
      "amount": 0.25,
      "source": "sub",
      "split": { "fromPaygo": 0, "fromSub": 0.25 }
    }
  }
  ```

  ```json Foutrespons theme={null}
  {
    "message": "..."
  }
  ```
</ResponseExample>

## Volgende stappen

<CardGroup cols={2}>
  <Card title="Haal het resultaat op" icon="inbox" href="/nl/api-reference/email-verifier/get-single-verification">
    Haal het verificatieresultaat op met de `id`.
  </Card>

  <Card title="Verifieer e-mails in bulk" icon="layer-group" href="/nl/api-reference/email-verifier/verify-bulk">
    Verifieer veel e-mailadressen in één verzoek.
  </Card>

  <Card title="Authenticatie" icon="key" href="/nl/authentication">
    Hoe je je API-sleutel in de x-api-key-header meegeeft.
  </Card>

  <Card title="Webhooks" icon="bell" href="/nl/how-webhooks-work">
    Word automatisch genotificeerd wanneer een verificatie is voltooid.
  </Card>
</CardGroup>
